@import "variables";

$button-sizes: (
	"sm": $button-font-size - 0.15rem,
	"md": $button-font-size,
	"lg": $button-font-size + 0.12rem,
	"xl": $button-font-size + 0.25rem,
);

.btn {
	border: none;
	background: none;
	cursor: pointer;
	font-weight: 500;
	margin: 0;
	padding: 0;

	&-primary {
		color: $button-primary-color;
		background-color: $button-primary-background-color;
		padding: 0.9em 2.8em;
	}

	&-rounded {
		border-radius: 2em;
	}

	@each $size, $value in $button-sizes {
		&-#{$size} {
			font-size: $value;
		}
	}
}
